// priority: 100

//Soul Forge


function soulForge(time, itemIn, itemOut){

    onEvent('recipes', e => {
       e.recipes.custommachinery.custom_machine("caveopolis:soul_forge", time)
            .requireItem(itemIn)
            .produceItem(itemOut)
            .requireStructure([["aaa","aaa","aaa"],["aba","bcb","aba"],["d d"," m ","d d"]], {"a":"minecraft:soul_soil","b":"thermal:obsidian_glass","c":"minecraft:soul_fire","d":"minecraft:wither_skeleton_skull"})
            .resetOnError()
        })
    }

    soulForge(120, 'thermal:steel_ingot', 'caveopolis:soulsteel_ingot')
    soulForge(80, 'caveopolis:bright_shard', 'minecraft:amethyst_shard')
    soulForge(80, 'minecraft:prismarine_shard', 'rftoolsbase:dimensionalshard')


//Block Recipe
    
onEvent('recipes', e => {
    e.shaped(Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:soul_forge"}'), ['SQS','ECE', 'SGS'], {C: '#forge:ingots/steel', G: 'minecraft:glowstone', Q:'minecraft:quartz', S: 'caveopolis:mixed_stone_ingot', E: 'minecraft:soul_soil'}).id('caveopolis:soul_forge')
})


